Subject: Re: [PATCH] Add cg-printenv command.

From: Steven Cole <[email-masked]>
Date: Mon, 09 May 2005 07:35:32 -0600

Petr Baudis wrote:
> Dear diary, on Mon, May 09, 2005 at 05:59:59AM CEST, I got a letter
> where Steven Cole <[email-masked]> told me that...
> 
>>On Sunday 08 May 2005 09:40 pm, Sean wrote:
>>
>>>On Sun, May 8, 2005 11:25 pm, Steven Cole said:
>>>
>>>
>>>>I had intended it only as a quick check by an end-user before doing
>>>>a commit that the values had been set as desired.
>>>
>>>Hey Steven,
>>>
>>>Rather than creating a separate command, perhaps the values could
>>>automatically be added to the initial commit message in a few "CG:" lines?
> 
> 
> I was already thinking about this and I think Sean's way makes more
> sense. Also, I actually believe you should add this functionality to
> commit-tree instead (commit-tree -n (dry-run), perhaps?) - so that the
> user can actually check the default values commit-tree is going to use
> too. *That* would be useful.

I agree that having a --dry-run option here would be useful.  I frequently
use the 't' option when untarring an unfamiliar tarball.

> 
> 
>>A secondary reason for adding the cg-printenv capability was that a user would
>>see this command in the cg-help list, and cg-help printenv would give:
> 
> 
> No, I think this sucks. You should just list the variables in cg-commit
> documentation if anything. That's where they matter anyway and where the
> user could possibly look for them anyway.

OK. David has done a good job of documenting this in the git-commit-tree
section of Documentation/core-git.txt, and here is the information again in
the comment header for cg-commit.

That's the way of open source.  Post an idea, and any number of superior
implementations come rolling in.

--------
Add comments to cg-commit to point out usage of git environment variables.

Signed-off-by: Steven Cole <[email-masked]>

===================================================================
--- 3974261da777f55a7a11aff6e02f584bbfe2b475/cg-commit  (mode:100755)
+++ uncommitted/cg-commit  (mode:100755)
@@ -13,6 +13,16 @@
  # appended to a single commit message, each as separate paragraph.
  # -e forces the editor to be brought up even when -m parameters were
  # passed to cg-commit.
+#
+#These git environment variables are used in case
+#values other than that returned by getpwuid(getuid())
+#are desired when performing a commit.
+#
+#AUTHOR_NAME		Author's name
+#AUTHOR_EMAIL		Author's e-mail address
+#AUTHOR_DATE		Date, perhaps from a patch e-mail
+#COMMIT_AUTHOR_NAME	Committer's name
+#COMMIT_AUTHOR_EMAIL	Committer's e-mail address

  . ${COGITO_LIB}cg-Xlib